%define module smbc
%define name python-%{module}
%define oname pysmbc
%define version 1.0.13
%define release %mkrel 4

Summary:	Python bindings for the libsmbclient API from Samba    
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://cyberelk.net/tim/data/pysmbc/
Source0:	http://cyberelk.net/tim/data/pysmbc/%oname-%version.tar.bz2
Source1:	http://cyberelk.net/tim/data/pysmbc/%oname-%version.tar.bz2.asc
# From Fedora
Patch0:		python-smbc-pkg-config.patch
License:	GPLv2+
Group:		Development/Python
BuildRequires:	libsmbclient-devel
BuildRequires:	python-devel
   
%description
Python bindings for the libsmbclient API, known as pysmbc. It was written
for use with system-config-printer, but can be put to other uses as well.

%prep
%setup -q -c
rm -rf %{oname}.egg-info
mv %{oname}-%{version} python2
pushd python2
%patch0 -p1 -b .pkg-config
popd
 
%build
pushd python2
CFLAGS="%{optflags}" python setup.py build
popd

%install
rm -rf %{buildroot}

pushd python2
python setup.py install --root=%{buildroot} --compile --optimize=2
chmod 755 %{buildroot}%{python_sitearch}/smbc.so
popd
  
%files
%defattr(-,root,root)
%doc python2/COPYING python2/README python2/NEWS
%{python_sitearch}/smbc.so
%{python_sitearch}/pysmbc*.egg-info




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.0.13-4.mga4
+ Revision: 544157
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.13-3.mga4
+ Revision: 499394
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.0.13-2.mga3
+ Revision: 379535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 1.0.13-1.mga3
+ Revision: 334237
- Update to 1.0.13

* Wed Oct 26 2011 philippem <philippem> 1.0.11-1.mga2
+ Revision: 158277
- new upstream 1.0.11

* Sun Feb 20 2011 ahmad <ahmad> 1.0.10-2.mga1
+ Revision: 54808
- use the Source url and add the .asc file
- replace the deprecated %%py_requires -d with BR python-devel

* Sun Feb 20 2011 dmorgan <dmorgan> 1.0.10-1.mga1
+ Revision: 54772
- imported package python-smbc


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.10-1mdv2011.0
+ Revision: 603075
- update to new version 1.0.10

* Sun Oct 31 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 1.0.6-3mdv2011.0
+ Revision: 590767
- rebuild for new python 2.7

* Sun Jun 06 2010 Colin Guthrie <cguthrie@mandriva.org> 1.0.6-2mdv2010.1
+ Revision: 547157
- Bump release to ensure version is > 2010.0 update version

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Use description for the package in 2010.0

* Fri Feb 19 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.6-1mdv2010.1
+ Revision: 508398
- import python-smbc


